package xyz.tbvns.rogue_block.Upgrades;

import net.minecraft.server.network.ServerPlayerEntity;

public interface PassiveUpgrade extends Upgrade{
    default void setup(ServerPlayerEntity player) {}
    default void executeOnStart(ServerPlayerEntity player) {}
    default void executeOnTick(ServerPlayerEntity player) {}
    default void executeOnEnd(ServerPlayerEntity player) {}
}
